---
title: ContentIndexEvent.id
slug: Web/API/ContentIndexEvent/id
tags:
  - Content
  - Content Index API
  - Index
  - PWA
  - Property
  - content indexing
  - events
---
<div>{{draft}}{{DefaultAPISidebar("Content Index API")}}</div>

<p class="summary">The read-only <strong><code>id</code></strong> property of the {{domxref("ContentIndexEvent")}} interface is a {{jsxref('String')}} which identifies the deleted content index via it's <code>id</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>id</var> = ContentIndexEvent.id;</pre>

<h3 id="Value">Value</h3>

<p>A {{jsxref("String")}} representation of the deleted content index id.</p>

<h2 id="Examples">Examples</h2>

<p>This example listens for the {{domxref('ContentIndexEvent', 'contentdelete')}} event and logs the removed content index id.</p>

<p>The {{domxref('ContentIndexEvent')}} is only available to the {domxref('ServiceWorkerGlobalScope','global scope')}} of a {{domxref('ServiceWorker')}}.</p>

<pre class="brush: js notranslate">self.addEventListener('contentdelete', (event) =&gt; {
  console.log(event.id);

  // logs content index id, which can then be used to determine what content to delete from your cache

});
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('Content Index API','#content-index-event','id')}}</td>
   <td>{{Spec2('Content Index API')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.ContentIndexEvent.id")}}</p>

<h2 id="See_also">See also:</h2>

<ul>
  <li><a href="https://web.dev/content-indexing-api/">An introductory article on the Content Index API</a></li>
  <li><a href="https://contentindex.dev/">An app which uses the Content Index API to list and remove 'save for later' content</a></li>
  <li><a href="/en-US/docs/Web/API/Service_Worker_API">Service Worker API, along with information about Cache and CacheStorage</a></li>
</ul>
